// packageA//pages/distribution/myteam/myteam.js
const app =  getApp();
let self = null;

Page({

  /**
   * 页面的初始数据
   */
  data: {
		tabArr: ['一级分销'],//'分销'
		currentTabIndex: 0, //记录当前点击的Tab索引
		
		list: null,
		isLoading: false, // 检测是否已经发送请求,防止重复发送请求
		noMore: false, // 检测是否有更多数据,true为没有更多数据,false为还有数据
		pageNum: 1, // 当前页数
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
	    wx.setNavigationBarTitle({
	       title: "我的团队",
	    });
		 
		self = this;//保存全局指针
		app.isLogin().then(function(data) {//进入页面前已经授权登录成功
			self.setData({
				userInfo: data,
			});
		});

		app.request.promiseGet('/api/weshop/storeDistribut/get/'+app.globalData.setting.stoid,{
		}).then(res=>{
            if(res.data.code==0 && res.data.data){
              if(res.data.data.is_shshow==0)
              {
                self.setData({tabArr:['一级分销','二级分销']})
              }
                
        if(res.data.data.firstName) self.data.tabArr[0]=res.data.data.firstName;
        if(res.data.data.is_shshow==0)
        {
          if(res.data.data.secondName) self.data.tabArr[1]=res.data.data.secondName;         
        }       
        self.setData({tabArr:self.data.tabArr})
			}
		})
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
        getApp().check_can_share();
		if(app.globalData.userInfo) {
			if(!this.data.isLogin) {
				this.setData({
					userInfo: app.globalData.userInfo,
					imghost: app.globalData.setting.imghost,
					isLogin: true,
				});
				
				// 请求数据
				// 默认请求A级分销
				this.getData(true, '/api/weshop/users/distribut/teamlist', {
					store_id: app.globalData.setting.stoid,
					user_id: app.globalData.user_id,
					level: 1,
					isall: 1,
				});
			
			};
		};
		
		
		// if(app.globalData.userInfo instanceof Object) {
		// 	this.setData({
		// 		userInfo: app.globalData.userInfo,
		// 		imghost: app.globalData.setting.imghost,
		// 	});
		// 	// 检测从登录页返回后的登录状态
		// 	if(this.data.isLogin) {
		// 		// 初次就授权登录
		// 		return;
		// 	} else {
		// 		// 初次未授权登录,过后才授权
		// 		this.setData({
		// 			isLogin: true
		// 		});
		// 		// 请求数据
		// 		// 默认请求A级分销
		// 		this.getData(true, '/api/weshop/users/distribut/teamlist', {
		// 			store_id: app.globalData.setting.stoid,
		// 			user_id: app.globalData.user_id,
		// 			level: 1,
		// 		});
		// 		// 默认请求佣金用户排行
		// 		// this.get('/api/weshop/users/distribut/rankingUser', {
		// 		// 	store_id: app.globalData.setting.stoid,
		// 		// 	user_id: app.globalData.user_id,
		// 		// });
		// 	};
		// };
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
  	    var th=this;
		this.scrollToLower('/api/weshop/users/distribut/teamlist', {
			store_id: app.globalData.setting.stoid,
			user_id: app.globalData.user_id,
			level: th.data.currentTabIndex + 1,
			isall: 1
		});
  },

  /**
   * 用户点击右上角分享
   */
   onShareAppMessage: function () {   	  getApp().globalData.no_clear=1

  },
	
	/**
	 * 点击Tab项
	 */
	clickTab(e) {
		let currentIndex = e.target.dataset.index;

		this.setData({
			currentTabIndex: currentIndex,
			list: null, //清空列表
			noMore: false,
			pageNum: 1,
		});
		
		this.getData(true, '/api/weshop/users/distribut/teamlist', {
			store_id: app.globalData.setting.stoid,
			user_id: app.globalData.user_id,
			level: currentIndex + 1,
			isall: 1
		});
	},
	
	/**
	 * get请求数据
	 */
	// get(url, data) {
	// 	app.request.get(url + '/' + data.store_id + '/' + data.user_id, {
	// 	  success: function(res) {
	// 		  if(res.data.code == 0){
	// 				console.log('success',res.data.data);
	// 				self.setData({
	// 					userRanking: res.data.data,
	// 				});
	// 			}else{
	// 				wx.showToast({
	// 				  title: "网络繁忙，请重试",
	// 				  icon: 'none',
	// 				  duration: 2000
	// 				})
	// 			}
	// 	  },
	// 		fail: function() {},
	// 	});
	// },
	
	
	/**
	 * promiseGet请求数据
	 */
	getData: function(isInit, url, data) {
		app.request.promiseGet(url, {
			data: data,
			isShowLoading: true,
		})
		.then(function(res) {
			// console.log('1121', res.data.code);
			if(res.data.code == 0) {
				
				self.setData({
					isLoading: false
				});
				
				if(isInit) {// 第一次加载
					self.setData({
						list: res.data.data
					});
				} else {
					self.setData({
						'list.pageData': self.data.list.pageData.concat(res.data.data.pageData)
					});
				};
				
				if((res.data.data.pageData.length == 0) || (res.data.data.pageSize * res.data.data.page >= res.data.data.total)) {
					self.setData({
						noMore: true
					});
				};
				
			} else {
				self.setData({
					'list.pageData': []
				});
			};
			
		})
		.catch(function(err) {
			console.log('出错拉！！！！',err);
			self.setData({
				'list.pageData': []
			});
		});
	},
	
	
	// 上拉加载
	scrollToLower(url, requestData) {
		// 数据总量
		let total = this.data.list.total;
		// 单页最大数据量
		let pageSize = this.data.list.pageSize;
		// 如果数据总量不为0且小于或等于单页最大数据量，说明数据已全部加载，显示‘没有更多了’
		if((total != 0)&&(total <= pageSize)) {
			this.setData({
				noMore: true
			});
		};
		
		if(!this.data.isLoading && !this.data.noMore) {
			this.setData({
				isLoading: true,
				pageNum: this.data.pageNum + 1
			});
			requestData.page = this.data.pageNum;
			this.getData(false, url, requestData);
		};
	},
	
})